> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convosphere.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Token

## Description

Get a new access token using a refresh token.

## Authentication

Refresh token required

## Request Body

<ParamField body="refreshToken" type="string" required>
  The refresh token
</ParamField>

## Response

<ResponseField name="accessToken" type="string">
  New access token
</ResponseField>

<ResponseField name="refreshToken" type="string">
  New refresh token
</ResponseField>

## Example Request

```bash theme={null}
curl -X POST https://api.convosphere.site/api/auth/refresh \
  -H "Content-Type: application/json" \
  -d '{
    "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
  }'
```

## Example Response

```json theme={null}
{
  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}
```

## Token Expiration

* **Access Tokens**: Expire after 15 minutes
* **Refresh Tokens**: Expire after 7 days
